Summary:	Plasma 5 plugin based library to create window decorations
Name:		kdecoration
Version:	5.7.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)

%description
Plasma 5 plugin based library to create window decorations.

KDecoration2 is a library to create window decorations. These window
decorations can be used by for example an X11 based window manager which
re-parents a Client window to a window decoration frame.

#----------------------------------------------------------------------------

%define kdecorations2_major 5
%define libkdecorations2 %mklibname kdecorations2_ %{kdecorations2_major}

%package -n %{libkdecorations2}
Summary:	Plasma 5 window decorations shared library
Group:		System/Libraries

%description -n %{libkdecorations2}
Plasma 5 window decorations shared library.

%files -n %{libkdecorations2}
%{_kde5_libdir}/libkdecorations2.so.%{kdecorations2_major}*

#----------------------------------------------------------------------------

%define kdecorations2private_major 5
%define libkdecorations2private %mklibname kdecorations2private %{kdecorations2private_major}

%package -n %{libkdecorations2private}
Summary:	Plasma 5 window decorations shared library
Group:		System/Libraries

%description -n %{libkdecorations2private}
Plasma 5 window decorations shared library.

%files -n %{libkdecorations2private}
%{_kde5_libdir}/libkdecorations2private.so.%{kdecorations2private_major}*

#----------------------------------------------------------------------------

%define devkf5decoration %mklibname kf5decoration -d

%package -n %{devkf5decoration}
Summary:	Development files for Plasma 5 window decorations library
Group:		Development/KDE and Qt
Requires:	%{libkdecorations2} = %{EVRD}
Requires:	%{libkdecorations2private} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kdecoration2-devel = %{version}

%description -n %{devkf5decoration}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5decoration}
%{_kde5_includedir}/KDecoration2
%{_kde5_includedir}/KF5/kdecoration2_version.h
%{_kde5_libdir}/cmake/KDecoration2
%{_kde5_libdir}/libkdecorations2.so
%{_kde5_libdir}/libkdecorations2private.so

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (7674455) New version 5.7.2


